/**
 * This decorator is used to mark a Store as a store used in a test file
 */
export declare const TestStore: (target: new (...args: any[]) => any) => void;
/**
 * Marks a getter as computed
 */
export declare const Computed: (target: any, propertyKey: string) => void;
/**
 * Marks an action as an event handler for this event
 */
export declare const BeforeAll: (target: any, propertyKey: string) => void;
/**
 * Marks an action as an event handler for this event
 */
export declare const OnInit: (target: any, propertyKey: string) => void;
/**
 * Marks an action as an event handler for this event
 */
export declare const OnDispose: (target: any, propertyKey: string) => void;
/**
 * Marks an action as an event handler for this event
 */
export declare const AfterAll: (target: any, propertyKey: string) => void;
/**
 * Marks an action as an event handler for the specified event
 */
export declare const On: (eventName: string) => (target: any, propertyKey: string) => void;
