export declare enum LoggerLevel {
    Error = 0,
    Warn = 1,
    Info = 2,
    Success = 3,
    Debug = 4
}
export declare class LoggerInstance {
    private level;
    private _label;
    setLevel(level: LoggerLevel): void;
    private canLog;
    label(label: string): LoggerInstance;
    private logMessage;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    success(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
    private setLabel;
}
export declare const Logger: LoggerInstance;
