export declare const colors: {
    Reset: string;
    Bright: string;
    Dim: string;
    Underscore: string;
    Blink: string;
    Reverse: string;
    Hidden: string;
    FgBlack: string;
    FgRed: string;
    FgGreen: string;
    FgYellow: string;
    FgBlue: string;
    FgMagenta: string;
    FgCyan: string;
    FgWhite: string;
    BgBlack: string;
    BgRed: string;
    BgGreen: string;
    BgYellow: string;
    BgBlue: string;
    BgMagenta: string;
    BgCyan: string;
    BgWhite: string;
    WrapBold: (text: string) => string;
    WrapUnderscore: (text: string) => string;
    WrapBgRed: (text: any) => string;
    WrapBgYellow: (text: any) => string;
    WrapBgBlue: (text: any) => string;
    WrapBgForLog: (type: 'error' | 'warning' | 'info', text: any) => string;
    Wrap: (color: string, text: any) => string;
    ResetWrap: (text: any) => string;
};
export declare function successLog(...args: unknown[]): void;
export declare function errorLog(...args: unknown[]): void;
export declare function debugLog(...args: unknown[]): void;
export declare function infoLog(...args: unknown[]): void;
export declare function basicLog(...args: unknown[]): void;
export declare function warnLog(...args: unknown[]): void;
