import ts from 'typescript';
export declare function formatImportString(importString: string, isRelativeImport?: boolean): string;
export declare function createImportNode(importNames: string[], specifier: string, isTypeOnly?: boolean): ts.ImportDeclaration;
/**
 * importNames = import {this, is, the, names} from 'x';
 *
 * @param {string[]} importNames
 * @param {string} relativeFilePath
 * @param {boolean} isTypeOnly
 * @returns {ts.ImportDeclaration}
 */
export declare function createRelativeImportNode(importNames: string[], relativeFilePath: string, isTypeOnly?: boolean): ts.ImportDeclaration;
export declare function createLazyImportGlobNode(importPath: string): ts.ArrowFunction;
