"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatImport = exports.slash = void 0;
const ViteFunction_1 = require("./ViteFunction");
function slash(path) {
    const isExtendedLengthPath = /^\\\\\?\\/.test(path);
    if (isExtendedLengthPath) {
        return path;
    }
    return path.replace(/\\/g, "/");
}
exports.slash = slash;
function formatImport(path) {
    return (0, ViteFunction_1.relativeify)(slash(path));
}
exports.formatImport = formatImport;
//# sourceMappingURL=Paths.js.map