import { LifeCycleEvent } from "../../Common/LifeCycle";
import type { HotReloadChanges } from "../Types";
import type { StoreMetaInfo, StoreType } from "../Types";
import type { StoreMeta } from "../Types";
import { MetaActionList, MetaList } from "./MetaList";
import type { StoreMetaGetterSetterData } from "./StoreMetaGetterSetterData";
export declare class StoreMetaData {
    #private;
    store: StoreMetaInfo;
    stateKeys: string[];
    setters: MetaList<StoreMetaGetterSetterData>;
    getters: MetaList<StoreMetaGetterSetterData>;
    lifeCycleHandlers: MetaList<LifeCycleEvent | string>;
    actions: MetaActionList;
    constructor(data: StoreMeta);
    getModule(ignoreCache?: boolean): {
        [key: string]: any;
    };
    getStoreExport(ignoreCache?: boolean): StoreType;
    compareChanges(__storeMeta: StoreMetaData): HotReloadChanges;
}
