export declare function cleanUrl(url: any): any;
/**
 * @see https://github.com/rich-harris/magic-string
 */
export declare class MagicString {
    private str;
    private starts;
    private ends;
    private overwrites;
    constructor(str: any);
    append(content: any): this;
    prepend(content: any): this;
    overwrite(start: any, end: any, content: any): this;
    toString(): string;
}
/**
 * - `'' -> '.'`
 * - `foo` -> `./foo`
 */
export declare function relativeify(relative: any): any;
/**
 * Ast tree walk
 */
export declare function walk(ast: any, visitors: any, ancestors?: any[]): Promise<void>;
export declare namespace walk {
    var sync: (ast: any, visitors: any, ancestors?: any[]) => void;
}
export declare function normalizePath(id: any): string;
